#
# spec file for package rfbproxy
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           rfbproxy
Version:        1.1.0
Release:        53.1
Summary:        Record or play back a VNC session
License:        GPL-2.0-or-later
Group:          System/X11/Utilities
URL:            http://cyberelk.net/tim/software/rfbproxy/
Source:         http://cyberelk.net/tim/data/rfbproxy/devel/%name-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#Requires:     xforms

%description
rfbproxy is a simple proxy for VNC which allows recording of screen
updates, key presses and mouse events for later replay.

%prep
%setup

%build
%configure
make %{?_smp_mflags}
top_builddir=. top_srcdir=. tests/run-tests

%install
make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(-,root,root,-)
%doc COPYING README TODO
/usr/bin/rfbproxy
%_mandir/man1/rfbproxy.1.gz

%changelog
* Tue Jan 14 2025 Dominique Leuenberger <dimstar@opensuse.org>
- Clean up old, commented patches that have not been there forever
  (addressing RPM 4.20, where %%patch is a standard macro and
  commenting it out using # might lead to errors).
* Tue Oct 14 2014 jengelh@inai.de
- Enable parallel biuld and remove ancient specfile tags and sections
* Fri May  9 2008 mfabian@suse.de
- bnc#388222: update to 1.1.0. From the ChangeLog:
  • rfbproxy.c: Many changes.  Developed FBS 1.1 file format.
    Added shared-session record and PPM export.  Added functions
    to read multi-byte sequences from FBS files.
  • rfbproxy.1: Consolidated old README file and most of what
    I know of rfbproxy's options and problems into the man page.
  • Makefile.am: Added regression tests for export.  Removed
    BUGS file (its one bug was fixed by FBS 1.1)
- enable regression tests during building the package
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Mon Jun 16 2003 coolo@suse.de
- use BuildRoot
* Wed Apr 17 2002 uli@suse.de
- initial package
